%define	rhelp_version	0.0.6

Name:           dd_rescue
Version:        1.12
Release:        6%{?dist}
Summary:        Fault tolerant "dd" utility for rescuing data from bad media
Group:          Applications/System
License:        GPL
URL:            http://www.garloff.de/kurt/linux/ddrescue/
Source0:        http://www.garloff.de/kurt/linux/ddrescue/dd_rescue-%{version}.tar.gz
Source1:        http://www.kalysto.org/pkg/dd_rhelp-%{rhelp_version}.tar.gz
Patch0:         dd_rhelp-tail.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes:		ddrescue

%description
ddrescue is a utility similar to the system utility "dd" which copies
data from a file or block device to another. ddrescue does however
not abort on errors in the input file. This makes it suitable for
rescuing data from media with errors, e.g. a disk with bad sectors.

This package includes dd_rhelp, a wrapper script facilating data 
recovery.

%prep
%setup -q -n %{name}
%setup -q -n %{name} -a 1 -D -T
pushd dd_rhelp-%{rhelp_version}
%patch0 -p 1 -b .tail
popd

%build
make RPM_OPT_FLAGS="%{optflags}" %{?_smp_mflags}
cp README.dd_rescue README
cp dd_rhelp-%{rhelp_version}/README README.dd_rhelp

pushd dd_rhelp-%{rhelp_version}
%configure
make
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}/usr INSTASROOT="" INSTALLFLAGS=""
pushd dd_rhelp-%{rhelp_version}/
make install DESTDIR=%{buildroot}
popd

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README README.dd_rhelp
%{_bindir}/dd_rescue
%{_bindir}/dd_rhelp


%changelog
* Wed Mar 07 2007 Andreas Thienemann <andreas@bawue.net> - 1.12-6
- Fixed the patch from 1.12-5

* Wed Mar 07 2007 Andreas Thienemann <andreas@bawue.net> - 1.12-5
- Fixed tail warning about deprecated argument. Thanks to Jason Farrell 
  for the patch.

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-4
- Added dist-tag

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-3
- *bump*

* Fri Nov 10 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-2
- Fix debug package

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.12-1
- Updated to 1.12
- Finally updated the package name to what we are actually shipping, 
  obsolete old one.
- Included dd_rhelp

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Sep  5 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.10-0.fdr.1
- Updated to 1.10.

* Sat Dec 13 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.03-0.fdr.1
- Updated to 1.03.
- Minor editing of description.

* Mon Sep 29 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:1.02-0.fdr.1
- Initial RPM release.
